Bug 127873 - CAN-2004-0597/98/99 multiple problems in libpng 1.2.5
Summary: CAN-2004-0597/98/99 multiple problems in libpng 1.2.5
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-14 20:45 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-05 08:28:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-07-14 20:45:03 UTC
libpng version up to and including 1.2.5 have a couple of secuirty holes.

Here are some CVE names
  
> 1) Remotely exploitable stack-based buffer overrun in
png_handle_tRNS         
> (pngrutil.c)                                                       
          
> 2) Dangerous code in png_handle_sBIT (pngrutil.c) (Similar code in 
          
> png_handle_hIST).                                                  
          

CAN-2004-0597 for these (we merge issues that have the same flaw type that
get fixed in the same versions).

> 3) Possible NULL-pointer crash in png_handle_iCCP (pngrutil.c) (this
         
> flaw is duplicated in multiple other locations).                   
          

CAN-2004-0598 for those

> 4) Theoretical integer overflow in allocation in png_handle_sPLT   
          
> (pngrutil.c)                                                       
          
> 5) Integer overflow in png_read_png (pngread.c)                    
          
> 6) Integer overflows during progressive reading.                   
          
> 7) Other flaws.  [integer overflows]                               
          

CAN-2004-0599 for those


This issue affects FC1, FC2 and FC3 test1.

RHEL is handled by bug 127869

Comment 1 Mark J. Cox 2004-08-04 11:56:19 UTC
Aug 04 1200UTC - removing embargo


Note You need to log in before you can comment on or make changes to this bug.